﻿using WarpWorld.CrowdControl;
using ML_CrowdControl.Effects;
using ML_CrowdControl.Effects.Data;
using System;

namespace TestEffectPack
{
    [MLCC_ParamEffectData(
        ID = 6,
        Name = "Replace All Player Cards",
        Price = 20
    )]
    public class ReplaceAllPlayerCards : MLCC_ParamEffect
    {
        public override EffectResult OnTriggerEffect(CCEffectInstanceParameters effectInstance)
        {
            bool success = Game.ReplaceAllPlayerCards(Game.Player(PlayerTarget.South));
            return success ? EffectResult.Success : EffectResult.Retry;
        }
    }
}
