﻿using WarpWorld.CrowdControl;
using ML_CrowdControl.Effects;
using ML_CrowdControl.Effects.Data;
using System;

namespace TestEffectPack
{
    [MLCC_ParamEffectData(
        ID = 13,
        Name = "Skip Player",
        Price = 20
    )]
    public class SkipPlayer : MLCC_ParamEffect
    {
        public override void OnLoad()
        {
            CardHelper.AddHandParameter(this);
        }

        public override EffectResult OnTriggerEffect(CCEffectInstanceParameters effectInstance) {
            return Game.SkipPlayer(effectInstance.GetParameter(0)) ? EffectResult.Success : EffectResult.Retry;
        }
    }
}
