﻿using System;
using System.Collections.Generic;

namespace TestEffectPack {
    public class RandEnum {
        public static T Get<T>(params T[] includes) {
            List<T> includeList = new List<T>(includes);
            T value;

            do {
                var v = Enum.GetValues(typeof(T));
                value = (T)v.GetValue(Rand.Next(0, v.Length));
            }
            while (includes.Length > 0 && !includeList.Contains(value));

            return value;
        }
    }
}
