# ML_CrowdControl
Universal Mod for MelonLoader  
Allows for management and interfacing with Warp World's Crowd Control.  

---

### REQUIREMENTS:

- [MelonLoader](https://github.com/LavaGang/MelonLoader) v0.5.3 or Higher

---

### GENERAL INFORMATION:

- ``UI.dll`` is placed in the created ``CrowdControl`` folder in your Game's Installation Folder.

- All Effects are placed in the created ``CrowdControl/Effects`` folder in your Game's Installation Folder.

- All Settings are made in the created ``CrowdControl/Config.cfg`` file in your Game's Installation Folder.

- Every Game Requires that there be a ``CrowdControl/GameKey.txt`` file in your Game's Installation Folder.  
This contains the Game Key unique to each Game that is given to you by Warp World.  
Effects made for a specific Game should include this file with the Effects.

| Mod Documentation: |
| - |
| [Identifying Game Type](https://github.com/LavaGang/ML_CrowdControl/blob/master/Documentation/Identifying_Game_Type.md) |
| [Mod Installation](https://github.com/LavaGang/ML_CrowdControl/blob/master/Documentation/Mod_Installation.md) |
| [Account Authentication](https://github.com/LavaGang/ML_CrowdControl/blob/master/Documentation/Account_Authentication.md) |
| [Creating Custom Effects](https://github.com/LavaGang/ML_CrowdControl/blob/master/Documentation/Creating_Custom_Effects.md) |
| [Creating Custom UI](https://github.com/LavaGang/ML_CrowdControl/blob/master/Documentation/Creating_Custom_UI.md) |

---

### LICENSING & CREDITS:

ML_CrowdControl is licensed under the Apache License, Version 2.0. See [LICENSE](https://github.com/LavaGang/ML_CrowdControl/blob/master/LICENSE.md) for the full License.

Third-party Libraries used as Source Code and/or bundled in Binary Form:
- [MelonLoader](https://github.com/LavaGang/MelonLoader) is licensed under the Apache License, Version 2.0. See [LICENSE](https://github.com/LavaGang/MelonLoader/blob/master/LICENSE.md) for the full License.
- [CrowdControl-Unity](https://github.com/WarpWorld/CrowdControl-Unity) is licensed under All rights reserved Copyright (c) 2021-2022 Warp World.  
See [Terms and Conditions](https://warp.world/terms) for the full License. We have Express Permission from Warp World.