﻿using WarpWorld.CrowdControl;
using ML_CrowdControl.Effects;
using ML_CrowdControl.Effects.Data;

namespace TestEffectPack
{
    [MLCC_ParamEffectData(
        ID = 2,
        Name = "Give Player Uno",
        Price = 20
    )]
    public class GivePlayerUno : MLCC_ParamEffect
    {
        public override void OnLoad() {
            CardHelper.AddHandParameter(this);
        }

        public override EffectResult OnTriggerEffect(CCEffectInstanceParameters effectInstance)
        {
            bool success = Game.SetForUno(effectInstance.GetParameter(0));
            return success ? EffectResult.Success : EffectResult.Retry;
        }
    }
}
