﻿using WarpWorld.CrowdControl;
using ML_CrowdControl.Effects;
using ML_CrowdControl.Effects.Data;

namespace TestEffectPack
{
    [MLCC_ParamEffectData(
        ID = 11,
        Name = "Reverse Turn Order",
        Price = 20
    )]
    public class Reverse : MLCC_ParamEffect
    {
        public override EffectResult OnTriggerEffect(CCEffectInstanceParameters effectInstance)
        {
            bool success = Game.Reverse();
            return success ? EffectResult.Success : EffectResult.Retry;
        }
    }
}
